package biz.papercut.pcng.plugin;

/**
 * This provides an interface to query for user properties
 */
public interface UserProperties {

    /**
     * Get the user property based on userName. The value comes back as a String which must be parsed. See
     * {@link UserProperty} for its associated return type. Any missing values will be returned as an empty String
     * and not null (ie. "")
     *
     * @param userName the userName to lookup
     * @param propertyName the UserProperty to lookup
     * @return A string representation of the given user property
     */
    String getUserProperty(String userName, UserProperty propertyName);
}
